<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.MaterialData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_material_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_material_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.MaterialData Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Internally represents a Unity UnityEngine.Material.  
 <a href="class_tri_lib_1_1_material_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8d0880ee8461de17547a2f96db0b74a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_tri_lib_1_1_i_material_property.html">IMaterialProperty</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_material_data.html#a8d0880ee8461de17547a2f96db0b74a0">GetPropertyByName</a> (params string[] names)</td></tr>
<tr class="memdesc:a8d0880ee8461de17547a2f96db0b74a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a material property by it's name.  <a href="class_tri_lib_1_1_material_data.html#a8d0880ee8461de17547a2f96db0b74a0">More...</a><br /></td></tr>
<tr class="separator:a8d0880ee8461de17547a2f96db0b74a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a6cc677fad60585914be1fa2cd51ede96"><td class="memItemLeft" align="right" valign="top"><a id="a6cc677fad60585914be1fa2cd51ede96" name="a6cc677fad60585914be1fa2cd51ede96"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>Name</b></td></tr>
<tr class="separator:a6cc677fad60585914be1fa2cd51ede96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac180e1dc8a5e9d34fdf55fa866498f84"><td class="memItemLeft" align="right" valign="top"><a id="ac180e1dc8a5e9d34fdf55fa866498f84" name="ac180e1dc8a5e9d34fdf55fa866498f84"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>AlphaLoaded</b></td></tr>
<tr class="separator:ac180e1dc8a5e9d34fdf55fa866498f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a800b8e953af1749eba4b6984740d1ef1"><td class="memItemLeft" align="right" valign="top"><a id="a800b8e953af1749eba4b6984740d1ef1" name="a800b8e953af1749eba4b6984740d1ef1"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Alpha</b></td></tr>
<tr class="separator:a800b8e953af1749eba4b6984740d1ef1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7daf45c6af1b8d6bda9cdafa1089615f"><td class="memItemLeft" align="right" valign="top"><a id="a7daf45c6af1b8d6bda9cdafa1089615f" name="a7daf45c6af1b8d6bda9cdafa1089615f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>DiffuseInfoLoaded</b></td></tr>
<tr class="separator:a7daf45c6af1b8d6bda9cdafa1089615f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7c4a993a3b77f9d1dbce6cb7575d711"><td class="memItemLeft" align="right" valign="top"><a id="ac7c4a993a3b77f9d1dbce6cb7575d711" name="ac7c4a993a3b77f9d1dbce6cb7575d711"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>DiffusePath</b></td></tr>
<tr class="separator:ac7c4a993a3b77f9d1dbce6cb7575d711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a612a455ff1fbfc1e0bfcfe0aae53fec7"><td class="memItemLeft" align="right" valign="top"><a id="a612a455ff1fbfc1e0bfcfe0aae53fec7" name="a612a455ff1fbfc1e0bfcfe0aae53fec7"></a>
TextureWrapMode&#160;</td><td class="memItemRight" valign="bottom"><b>DiffuseWrapMode</b></td></tr>
<tr class="separator:a612a455ff1fbfc1e0bfcfe0aae53fec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a674a7885289ef8ebf9ed9237279d27"><td class="memItemLeft" align="right" valign="top"><a id="a7a674a7885289ef8ebf9ed9237279d27" name="a7a674a7885289ef8ebf9ed9237279d27"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>DiffuseName</b></td></tr>
<tr class="separator:a7a674a7885289ef8ebf9ed9237279d27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80f5c243b83cdf682c334b227727737"><td class="memItemLeft" align="right" valign="top"><a id="ab80f5c243b83cdf682c334b227727737" name="ab80f5c243b83cdf682c334b227727737"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>DiffuseBlendMode</b></td></tr>
<tr class="separator:ab80f5c243b83cdf682c334b227727737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af61ffbfbfd1ebce09e1c8cb1ea75e09f"><td class="memItemLeft" align="right" valign="top"><a id="af61ffbfbfd1ebce09e1c8cb1ea75e09f" name="af61ffbfbfd1ebce09e1c8cb1ea75e09f"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>DiffuseOp</b></td></tr>
<tr class="separator:af61ffbfbfd1ebce09e1c8cb1ea75e09f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add87369a08789d267593bcfb2b9fe51f"><td class="memItemLeft" align="right" valign="top"><a id="add87369a08789d267593bcfb2b9fe51f" name="add87369a08789d267593bcfb2b9fe51f"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>DiffuseEmbeddedTextureData</b></td></tr>
<tr class="separator:add87369a08789d267593bcfb2b9fe51f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a209824dc44e62304386358a2e9de43e5"><td class="memItemLeft" align="right" valign="top"><a id="a209824dc44e62304386358a2e9de43e5" name="a209824dc44e62304386358a2e9de43e5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>DiffuseColorLoaded</b></td></tr>
<tr class="separator:a209824dc44e62304386358a2e9de43e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21c0ee448f37539e0d04eafb2e8e05b0"><td class="memItemLeft" align="right" valign="top"><a id="a21c0ee448f37539e0d04eafb2e8e05b0" name="a21c0ee448f37539e0d04eafb2e8e05b0"></a>
Color&#160;</td><td class="memItemRight" valign="bottom"><b>DiffuseColor</b></td></tr>
<tr class="separator:a21c0ee448f37539e0d04eafb2e8e05b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a587002fe68192e01bf71a35eb29af603"><td class="memItemLeft" align="right" valign="top"><a id="a587002fe68192e01bf71a35eb29af603" name="a587002fe68192e01bf71a35eb29af603"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionInfoLoaded</b></td></tr>
<tr class="separator:a587002fe68192e01bf71a35eb29af603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab764736ef42a36a92015993ae815a94a"><td class="memItemLeft" align="right" valign="top"><a id="ab764736ef42a36a92015993ae815a94a" name="ab764736ef42a36a92015993ae815a94a"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionPath</b></td></tr>
<tr class="separator:ab764736ef42a36a92015993ae815a94a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e4aba57d27cd02ce570bca7f759b344"><td class="memItemLeft" align="right" valign="top"><a id="a4e4aba57d27cd02ce570bca7f759b344" name="a4e4aba57d27cd02ce570bca7f759b344"></a>
TextureWrapMode&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionWrapMode</b></td></tr>
<tr class="separator:a4e4aba57d27cd02ce570bca7f759b344"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39969622dec14af76c671189102573e8"><td class="memItemLeft" align="right" valign="top"><a id="a39969622dec14af76c671189102573e8" name="a39969622dec14af76c671189102573e8"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionName</b></td></tr>
<tr class="separator:a39969622dec14af76c671189102573e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6255949818f21ea7a1c8a03fe275d9d4"><td class="memItemLeft" align="right" valign="top"><a id="a6255949818f21ea7a1c8a03fe275d9d4" name="a6255949818f21ea7a1c8a03fe275d9d4"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionBlendMode</b></td></tr>
<tr class="separator:a6255949818f21ea7a1c8a03fe275d9d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5dd7dae32c138bf49536725916c1eeb"><td class="memItemLeft" align="right" valign="top"><a id="ab5dd7dae32c138bf49536725916c1eeb" name="ab5dd7dae32c138bf49536725916c1eeb"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionOp</b></td></tr>
<tr class="separator:ab5dd7dae32c138bf49536725916c1eeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cbd0736813afb04fec83e34a7550250"><td class="memItemLeft" align="right" valign="top"><a id="a0cbd0736813afb04fec83e34a7550250" name="a0cbd0736813afb04fec83e34a7550250"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionEmbeddedTextureData</b></td></tr>
<tr class="separator:a0cbd0736813afb04fec83e34a7550250"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbdae438b4ef3d47ce3adb9fd84f8571"><td class="memItemLeft" align="right" valign="top"><a id="acbdae438b4ef3d47ce3adb9fd84f8571" name="acbdae438b4ef3d47ce3adb9fd84f8571"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionColorLoaded</b></td></tr>
<tr class="separator:acbdae438b4ef3d47ce3adb9fd84f8571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d667364de1fd3bb866224f82c3abf4a"><td class="memItemLeft" align="right" valign="top"><a id="a6d667364de1fd3bb866224f82c3abf4a" name="a6d667364de1fd3bb866224f82c3abf4a"></a>
Color&#160;</td><td class="memItemRight" valign="bottom"><b>EmissionColor</b></td></tr>
<tr class="separator:a6d667364de1fd3bb866224f82c3abf4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a8e4d4c109e35b0823e227b6982fb1e"><td class="memItemLeft" align="right" valign="top"><a id="a2a8e4d4c109e35b0823e227b6982fb1e" name="a2a8e4d4c109e35b0823e227b6982fb1e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularInfoLoaded</b></td></tr>
<tr class="separator:a2a8e4d4c109e35b0823e227b6982fb1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5291552e18643eaff482621ac1ee182b"><td class="memItemLeft" align="right" valign="top"><a id="a5291552e18643eaff482621ac1ee182b" name="a5291552e18643eaff482621ac1ee182b"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularPath</b></td></tr>
<tr class="separator:a5291552e18643eaff482621ac1ee182b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2f86042081a0acaf7b76656e1feda1c"><td class="memItemLeft" align="right" valign="top"><a id="ae2f86042081a0acaf7b76656e1feda1c" name="ae2f86042081a0acaf7b76656e1feda1c"></a>
TextureWrapMode&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularWrapMode</b></td></tr>
<tr class="separator:ae2f86042081a0acaf7b76656e1feda1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa28f02cbcefd4be67ba04830e1332334"><td class="memItemLeft" align="right" valign="top"><a id="aa28f02cbcefd4be67ba04830e1332334" name="aa28f02cbcefd4be67ba04830e1332334"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularName</b></td></tr>
<tr class="separator:aa28f02cbcefd4be67ba04830e1332334"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab448c04badb2e947ba7c586631ba80a6"><td class="memItemLeft" align="right" valign="top"><a id="ab448c04badb2e947ba7c586631ba80a6" name="ab448c04badb2e947ba7c586631ba80a6"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularBlendMode</b></td></tr>
<tr class="separator:ab448c04badb2e947ba7c586631ba80a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a236473b1a1850aa88be923352c987772"><td class="memItemLeft" align="right" valign="top"><a id="a236473b1a1850aa88be923352c987772" name="a236473b1a1850aa88be923352c987772"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularOp</b></td></tr>
<tr class="separator:a236473b1a1850aa88be923352c987772"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a488a90506510fa1d684050e78500005c"><td class="memItemLeft" align="right" valign="top"><a id="a488a90506510fa1d684050e78500005c" name="a488a90506510fa1d684050e78500005c"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularEmbeddedTextureData</b></td></tr>
<tr class="separator:a488a90506510fa1d684050e78500005c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a473277a2de2b0e7f1bd433666e1b738e"><td class="memItemLeft" align="right" valign="top"><a id="a473277a2de2b0e7f1bd433666e1b738e" name="a473277a2de2b0e7f1bd433666e1b738e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularColorLoaded</b></td></tr>
<tr class="separator:a473277a2de2b0e7f1bd433666e1b738e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebca5b72c5e9229dcd556fbeacbe5c4e"><td class="memItemLeft" align="right" valign="top"><a id="aebca5b72c5e9229dcd556fbeacbe5c4e" name="aebca5b72c5e9229dcd556fbeacbe5c4e"></a>
Color&#160;</td><td class="memItemRight" valign="bottom"><b>SpecularColor</b></td></tr>
<tr class="separator:aebca5b72c5e9229dcd556fbeacbe5c4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc805caf55eeade8a0829397e71fb973"><td class="memItemLeft" align="right" valign="top"><a id="afc805caf55eeade8a0829397e71fb973" name="afc805caf55eeade8a0829397e71fb973"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>NormalInfoLoaded</b></td></tr>
<tr class="separator:afc805caf55eeade8a0829397e71fb973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1ed03592ed3aa61f9bb89194975dfaf"><td class="memItemLeft" align="right" valign="top"><a id="ab1ed03592ed3aa61f9bb89194975dfaf" name="ab1ed03592ed3aa61f9bb89194975dfaf"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>NormalPath</b></td></tr>
<tr class="separator:ab1ed03592ed3aa61f9bb89194975dfaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b35d9e88d9f2ff6b3e7e86a68bf814"><td class="memItemLeft" align="right" valign="top"><a id="a03b35d9e88d9f2ff6b3e7e86a68bf814" name="a03b35d9e88d9f2ff6b3e7e86a68bf814"></a>
TextureWrapMode&#160;</td><td class="memItemRight" valign="bottom"><b>NormalWrapMode</b></td></tr>
<tr class="separator:a03b35d9e88d9f2ff6b3e7e86a68bf814"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab229b17d60ccd228de86da54676a5bb0"><td class="memItemLeft" align="right" valign="top"><a id="ab229b17d60ccd228de86da54676a5bb0" name="ab229b17d60ccd228de86da54676a5bb0"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>NormalName</b></td></tr>
<tr class="separator:ab229b17d60ccd228de86da54676a5bb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7083db888e8430774b7bdacfe6ed97d"><td class="memItemLeft" align="right" valign="top"><a id="ac7083db888e8430774b7bdacfe6ed97d" name="ac7083db888e8430774b7bdacfe6ed97d"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>NormalBlendMode</b></td></tr>
<tr class="separator:ac7083db888e8430774b7bdacfe6ed97d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af44ad9273fb3b8ba7ad0be14bcdd20"><td class="memItemLeft" align="right" valign="top"><a id="a2af44ad9273fb3b8ba7ad0be14bcdd20" name="a2af44ad9273fb3b8ba7ad0be14bcdd20"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>NormalOp</b></td></tr>
<tr class="separator:a2af44ad9273fb3b8ba7ad0be14bcdd20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32621ae93fa342147fcb01adf47a4560"><td class="memItemLeft" align="right" valign="top"><a id="a32621ae93fa342147fcb01adf47a4560" name="a32621ae93fa342147fcb01adf47a4560"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>NormalEmbeddedTextureData</b></td></tr>
<tr class="separator:a32621ae93fa342147fcb01adf47a4560"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af30733ee6a6c9aa0e8a1a8206bc6a423"><td class="memItemLeft" align="right" valign="top"><a id="af30733ee6a6c9aa0e8a1a8206bc6a423" name="af30733ee6a6c9aa0e8a1a8206bc6a423"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>HeightInfoLoaded</b></td></tr>
<tr class="separator:af30733ee6a6c9aa0e8a1a8206bc6a423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af247e8aa63248831b0b7f0b7207736d7"><td class="memItemLeft" align="right" valign="top"><a id="af247e8aa63248831b0b7f0b7207736d7" name="af247e8aa63248831b0b7f0b7207736d7"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>HeightPath</b></td></tr>
<tr class="separator:af247e8aa63248831b0b7f0b7207736d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a211c573097ba4a15eefbbe1075aac5f6"><td class="memItemLeft" align="right" valign="top"><a id="a211c573097ba4a15eefbbe1075aac5f6" name="a211c573097ba4a15eefbbe1075aac5f6"></a>
TextureWrapMode&#160;</td><td class="memItemRight" valign="bottom"><b>HeightWrapMode</b></td></tr>
<tr class="separator:a211c573097ba4a15eefbbe1075aac5f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af469b99ac128bc1c1b89c12065c15f7d"><td class="memItemLeft" align="right" valign="top"><a id="af469b99ac128bc1c1b89c12065c15f7d" name="af469b99ac128bc1c1b89c12065c15f7d"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>HeightName</b></td></tr>
<tr class="separator:af469b99ac128bc1c1b89c12065c15f7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada3f98a68e28085c4399c46c77ef5e1e"><td class="memItemLeft" align="right" valign="top"><a id="ada3f98a68e28085c4399c46c77ef5e1e" name="ada3f98a68e28085c4399c46c77ef5e1e"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>HeightBlendMode</b></td></tr>
<tr class="separator:ada3f98a68e28085c4399c46c77ef5e1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa242640b610ee69c8cf28d3db88993"><td class="memItemLeft" align="right" valign="top"><a id="acaa242640b610ee69c8cf28d3db88993" name="acaa242640b610ee69c8cf28d3db88993"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>HeightOp</b></td></tr>
<tr class="separator:acaa242640b610ee69c8cf28d3db88993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a947729b7bb6d9631e1921a63680b8"><td class="memItemLeft" align="right" valign="top"><a id="a57a947729b7bb6d9631e1921a63680b8" name="a57a947729b7bb6d9631e1921a63680b8"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>HeightEmbeddedTextureData</b></td></tr>
<tr class="separator:a57a947729b7bb6d9631e1921a63680b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0facc8aefc48a38e5a8398a193af51ff"><td class="memItemLeft" align="right" valign="top"><a id="a0facc8aefc48a38e5a8398a193af51ff" name="a0facc8aefc48a38e5a8398a193af51ff"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>BumpScaleLoaded</b></td></tr>
<tr class="separator:a0facc8aefc48a38e5a8398a193af51ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0383d91d4ce0e5e5becd79a75dbbb985"><td class="memItemLeft" align="right" valign="top"><a id="a0383d91d4ce0e5e5becd79a75dbbb985" name="a0383d91d4ce0e5e5becd79a75dbbb985"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>BumpScale</b></td></tr>
<tr class="separator:a0383d91d4ce0e5e5becd79a75dbbb985"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a584c5dac8282d303bf4013ca303f15cc"><td class="memItemLeft" align="right" valign="top"><a id="a584c5dac8282d303bf4013ca303f15cc" name="a584c5dac8282d303bf4013ca303f15cc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>GlossinessLoaded</b></td></tr>
<tr class="separator:a584c5dac8282d303bf4013ca303f15cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a692d3f92e54d61bcfb7711719320729c"><td class="memItemLeft" align="right" valign="top"><a id="a692d3f92e54d61bcfb7711719320729c" name="a692d3f92e54d61bcfb7711719320729c"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Glossiness</b></td></tr>
<tr class="separator:a692d3f92e54d61bcfb7711719320729c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6314c4eef47dbaf7c55a47e7e56c3ae3"><td class="memItemLeft" align="right" valign="top"><a id="a6314c4eef47dbaf7c55a47e7e56c3ae3" name="a6314c4eef47dbaf7c55a47e7e56c3ae3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>GlossMapScaleLoaded</b></td></tr>
<tr class="separator:a6314c4eef47dbaf7c55a47e7e56c3ae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a1c5f9d88fcbdd50458992446831ab1"><td class="memItemLeft" align="right" valign="top"><a id="a7a1c5f9d88fcbdd50458992446831ab1" name="a7a1c5f9d88fcbdd50458992446831ab1"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>GlossMapScale</b></td></tr>
<tr class="separator:a7a1c5f9d88fcbdd50458992446831ab1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56e04aa7dfa7cb9beeb17fa4c4e1b9a7"><td class="memItemLeft" align="right" valign="top"><a id="a56e04aa7dfa7cb9beeb17fa4c4e1b9a7" name="a56e04aa7dfa7cb9beeb17fa4c4e1b9a7"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>OcclusionInfoLoaded</b></td></tr>
<tr class="separator:a56e04aa7dfa7cb9beeb17fa4c4e1b9a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbda560f95a6cfa7d790b7b5756e96a0"><td class="memItemLeft" align="right" valign="top"><a id="abbda560f95a6cfa7d790b7b5756e96a0" name="abbda560f95a6cfa7d790b7b5756e96a0"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>OcclusionPath</b></td></tr>
<tr class="separator:abbda560f95a6cfa7d790b7b5756e96a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a926b0537629a345370b2af6eb97183fb"><td class="memItemLeft" align="right" valign="top"><a id="a926b0537629a345370b2af6eb97183fb" name="a926b0537629a345370b2af6eb97183fb"></a>
TextureWrapMode&#160;</td><td class="memItemRight" valign="bottom"><b>OcclusionWrapMode</b></td></tr>
<tr class="separator:a926b0537629a345370b2af6eb97183fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad00e8c3af23e811c20de3acb08ba9617"><td class="memItemLeft" align="right" valign="top"><a id="ad00e8c3af23e811c20de3acb08ba9617" name="ad00e8c3af23e811c20de3acb08ba9617"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>OcclusionName</b></td></tr>
<tr class="separator:ad00e8c3af23e811c20de3acb08ba9617"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90dcdc6d72a4fd31fd17193bcbfae870"><td class="memItemLeft" align="right" valign="top"><a id="a90dcdc6d72a4fd31fd17193bcbfae870" name="a90dcdc6d72a4fd31fd17193bcbfae870"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>OcclusionBlendMode</b></td></tr>
<tr class="separator:a90dcdc6d72a4fd31fd17193bcbfae870"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a893a3584a02ebd66fd853307a2f78e12"><td class="memItemLeft" align="right" valign="top"><a id="a893a3584a02ebd66fd853307a2f78e12" name="a893a3584a02ebd66fd853307a2f78e12"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>OcclusionOp</b></td></tr>
<tr class="separator:a893a3584a02ebd66fd853307a2f78e12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd3f2f269bf0cb4650ad20e5aecfe04e"><td class="memItemLeft" align="right" valign="top"><a id="acd3f2f269bf0cb4650ad20e5aecfe04e" name="acd3f2f269bf0cb4650ad20e5aecfe04e"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>OcclusionEmbeddedTextureData</b></td></tr>
<tr class="separator:acd3f2f269bf0cb4650ad20e5aecfe04e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49916b8b57b43f90c5fca64a2c7a085a"><td class="memItemLeft" align="right" valign="top"><a id="a49916b8b57b43f90c5fca64a2c7a085a" name="a49916b8b57b43f90c5fca64a2c7a085a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>MetallicInfoLoaded</b></td></tr>
<tr class="separator:a49916b8b57b43f90c5fca64a2c7a085a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a5008c89b22abe10efcd3f47ff55b7e"><td class="memItemLeft" align="right" valign="top"><a id="a7a5008c89b22abe10efcd3f47ff55b7e" name="a7a5008c89b22abe10efcd3f47ff55b7e"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>MetallicPath</b></td></tr>
<tr class="separator:a7a5008c89b22abe10efcd3f47ff55b7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bbe83abd840f3e38742b01ec5701259"><td class="memItemLeft" align="right" valign="top"><a id="a5bbe83abd840f3e38742b01ec5701259" name="a5bbe83abd840f3e38742b01ec5701259"></a>
TextureWrapMode&#160;</td><td class="memItemRight" valign="bottom"><b>MetallicWrapMode</b></td></tr>
<tr class="separator:a5bbe83abd840f3e38742b01ec5701259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49b24de762a0c6dd3bc82074a2bdda27"><td class="memItemLeft" align="right" valign="top"><a id="a49b24de762a0c6dd3bc82074a2bdda27" name="a49b24de762a0c6dd3bc82074a2bdda27"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>MetallicName</b></td></tr>
<tr class="separator:a49b24de762a0c6dd3bc82074a2bdda27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f02d1587eb1ac61398e32507d1b7c13"><td class="memItemLeft" align="right" valign="top"><a id="a3f02d1587eb1ac61398e32507d1b7c13" name="a3f02d1587eb1ac61398e32507d1b7c13"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>MetallicBlendMode</b></td></tr>
<tr class="separator:a3f02d1587eb1ac61398e32507d1b7c13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb749b9ac0b4ea68c33c9bdcc8c860c1"><td class="memItemLeft" align="right" valign="top"><a id="afb749b9ac0b4ea68c33c9bdcc8c860c1" name="afb749b9ac0b4ea68c33c9bdcc8c860c1"></a>
uint&#160;</td><td class="memItemRight" valign="bottom"><b>MetallicOp</b></td></tr>
<tr class="separator:afb749b9ac0b4ea68c33c9bdcc8c860c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad857194bdba2f0a65b9a75e9471fb693"><td class="memItemLeft" align="right" valign="top"><a id="ad857194bdba2f0a65b9a75e9471fb693" name="ad857194bdba2f0a65b9a75e9471fb693"></a>
<a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><b>MetallicEmbeddedTextureData</b></td></tr>
<tr class="separator:ad857194bdba2f0a65b9a75e9471fb693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a973dc58b761d92d0329119888d066f2e"><td class="memItemLeft" align="right" valign="top"><a id="a973dc58b761d92d0329119888d066f2e" name="a973dc58b761d92d0329119888d066f2e"></a>
<a class="el" href="interface_tri_lib_1_1_i_material_property.html">IMaterialProperty</a>[]&#160;</td><td class="memItemRight" valign="bottom"><b>Properties</b></td></tr>
<tr class="separator:a973dc58b761d92d0329119888d066f2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6919f5a47688235b5f518fc9b81e7c3b"><td class="memItemLeft" align="right" valign="top"><a id="a6919f5a47688235b5f518fc9b81e7c3b" name="a6919f5a47688235b5f518fc9b81e7c3b"></a>
Material&#160;</td><td class="memItemRight" valign="bottom"><b>Material</b></td></tr>
<tr class="separator:a6919f5a47688235b5f518fc9b81e7c3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Internally represents a Unity UnityEngine.Material. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a8d0880ee8461de17547a2f96db0b74a0" name="a8d0880ee8461de17547a2f96db0b74a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d0880ee8461de17547a2f96db0b74a0">&#9670;&nbsp;</a></span>GetPropertyByName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="interface_tri_lib_1_1_i_material_property.html">IMaterialProperty</a> TriLib.MaterialData.GetPropertyByName </td>
          <td>(</td>
          <td class="paramtype">params string[]&#160;</td>
          <td class="paramname"><em>names</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns a material property by it's name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">names</td><td>A series of property names to look for.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <a class="el" href="interface_tri_lib_1_1_i_material_property.html" title="Internally represents the material property interface.">TriLib.IMaterialProperty</a> with any given name, if found. Otherwise, returns <code>null</code></dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/InternalData/<a class="el" href="_material_data_8cs.html">MaterialData.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_material_data.html">MaterialData</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
